=== debian/changelog ===
mdadm (4.1-11) unstable; urgency=medium

  * Load efivars module in initramfs, if available. (Closes: #962844)
  * Do not explicitly include /bin/rm in initramfs; /usr/bin/rm
    is already present. (See: #875918)
  * Bump Standards-Version to 4.5.1.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 09 Feb 2021 20:02:47 -0800

mdadm (4.1-10) unstable; urgency=medium

  * For initramfs, copy 'rm' executable from existing location; and to /bin. (Closes: #974829)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 15 Nov 2020 04:32:19 -0800

mdadm (4.1-9) unstable; urgency=medium

  * Add 'rm' executable to initramfs hook. (Closes: #875918)
  * Update Brazilian debconf translation. (Closes: #972835)
  * Bump d/watch file standard to version 4.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 14 Nov 2020 20:46:29 -0800

mdadm (4.1-8) unstable; urgency=medium

  * Comprehensive FAQ improvements and amendments.(Closes: #715387)
  * Update Finnish debconf translation. (Closes: #972143)
  * Update Portuguese debconf translation. (Closes: #971941)
  * Update Basque debconf translation.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 13 Oct 2020 11:15:45 -0700

mdadm (4.1-7) unstable; urgency=medium

  * Look for md device in /dev/md and exit gracefully on failure.
    (Closes: #958060, #970329)
  * Update Spanish, Italian, Slovak and Russian debconf translations.
    (Closes: #970381, #970568, #970578)

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 21 Sep 2020 07:35:13 -0700

mdadm (4.1-6) unstable; urgency=medium

  * Install misc/mdcheck; thanks Richard Laager. (Closes: #960132)
  * Update French, Dutch and German debconf translations. (Closes: #935184,
    #940851, #956350)
  * Bring command-line help in line with manual page. (Closes: #932791)
  * Fix spelling and groff macro issues in manual pages. (Closes: #915182,
    #916946, #962946)
  * Explain 'max' keyword in command-line option --size. (Closes: #933773)
  * Patch d/README.recipes for clarity. (Closes: #619043)
  * Enable autopkgtest for installed version. Requires isolation-machine,
    untested. (Closes: #872118)
  * Adopt package. (Closes: #924367)
  * Turn on hardening.
  * Avoid a race condition in d/mdadm-shutdown.service.
  * Implement missing status option in /etc/init.d/mdadm-waitidle.
  * Add missing Documentation keys to several service files.
  * Upgrade debhelper compat to 13; use new prerequisite style.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Convert copyright to DEP-5 machine-readable format.
  * Host Vcs on salsa.d.o.
  * Adopt DEP-14 branch naming in Vcs-Git
  * Enable standard Salsa CI pipeline.
  * Fix typos in executables.
  * Explain that --name does not work in Grow mode.
  * Convert international debconf translations to UTF-8.
  * Capitalize first word in package synopsis.
  * Add Lintian overrides for tags that may not be appropriate.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 12 Sep 2020 20:46:58 -0700

mdadm (4.1-5) unstable; urgency=medium

  * QA upload.
  * Fix cross-compilation failure. (Closes: #866522).
    Thanks to Helmut Grohne.
  * Add support for raid0/linear 'broken' state. (Closes: #943520).
    Thanks to Guilherme G. Piccoli and Dan Streetman. LP: #1847924.

 -- dann frazier <dannf@debian.org>  Wed, 22 Jan 2020 09:56:25 -0700

mdadm (4.1-4) unstable; urgency=medium

  * QA upload.
  * Add support for RAID0 layouts. (Closes: #944676) (LP: #1850540)

 -- dann frazier <dannf@debian.org>  Mon, 02 Dec 2019 14:35:49 -0700

mdadm (4.1-3) unstable; urgency=medium

  * QA upload.
  * Adding debconf question to disable daily array scan (Closes: #689304):
    - if enabled (default), mdadm checks once a day for degraded arrays
      and missing spares to ensure that such events don't go unnoticed.
    - this is not useful when the system is part of an infrastructure
      with dedicated monitoring systems (e.g. icinga).
    - this debconf question makes it possible to disable these checks.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 09 Aug 2019 17:19:20 +0000

mdadm (4.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 03:58:03 +0000

mdadm (4.1-1) unstable; urgency=medium

  * New upstream release.
  * Cherrypick patches from master to 757e55435997e355ee9b03e5d913b5496a3c39a8.
  * Drop XC- prefix from Package-Type field in debian/control.
  * Bump standards version to 4.3.0.
  * Use https in the watch file.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Jan 2019 18:23:53 +0000
