## mdadm 4.2~rc2

=== debian/changelog ===
mdadm (4.2~rc2-7) unstable; urgency=medium

  * In initramfs, load efivarfs module, which has a new name. (Closes: #995047)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 25 Sep 2021 21:57:51 -0700

mdadm (4.2~rc2-6) unstable; urgency=medium

  * Pass proper build flags to make.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 26 Aug 2021 06:57:18 -0700

mdadm (4.2~rc2-5) unstable; urgency=medium

  * Use dh sequencer.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 25 Aug 2021 12:01:24 -0700

mdadm (4.2~rc2-4) unstable; urgency=medium

  * Generate config even when SOURCE_DATE_EPOCH is not set; fixup to 04adb527.
   (Closes: #992853)

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 24 Aug 2021 07:01:33 -0700

mdadm (4.2~rc2-3) unstable; urgency=medium

  * Add support for 'repair' action to checkarray. (Closes: #772465)
  * Use a reproducible timestamp in mkconf; delete temporary file in initramfs.
   (Closes: #982607)
  * Adjust character set of Swedish debconf translation; no string changes.
    (Closes: #972357)
  * Update the Czech translations of debconf messages. (Closes: #972440)
  * Drop version check in postinst for an upload predating the release of oldstable.
  * Add a file with upstream metadata providing the information sought by DEP-12.
  * Fix typo in manual page.
  * Refresh Debian patches.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 23 Aug 2021 13:01:29 -0700

mdadm (4.2~rc2-2) unstable; urgency=medium

  * Upload targeting unstable.
  * Fix uscan regex for upstream tarballs.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 15 Aug 2021 14:56:17 -0700

mdadm (4.2~rc2-1) experimental; urgency=medium

  * New release candidate from upstream.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 03 Aug 2021 07:36:19 -0700

mdadm (4.2~rc1-1) experimental; urgency=medium

  * New release candidate from upstream.
  * Add libudev-dev to Build-Depends.
  * Drop patches previously cherry-picked from upstream:
    - 0001-Assemble-keep-MD_DISK_FAILFAST-and-MD_DISK_WRITEMOST.patch
      (now 0833f9c3)
    - 0002-Document-PART-POLICY-lines.patch (now 6b611284)
    - 0003-policy-support-devices-with-multiple-paths.patch (now cd72f9d1)
    - 0004-mdcheck-add-systemd-unit-files-to-run-mdcheck.patch (now 4199d3c6)
    - 0005-Monitor-add-system-timer-to-run-oneshot-periodically.patch
      (now 7cd7e91a)
    - 0006-imsm-update-metadata-correctly-while-raid10-double-d.patch
      (now d7a1fda2)
    - 0007-Assemble-mask-FAILFAST-and-WRITEMOSTLY-flags-when-fi.patch
      (now 563ac108)
    - 0008-Grow-avoid-overflow-in-compute_backup_blocks.patch
      (now 085df422)
    - 0009-Grow-report-correct-new-chunk-size.patch (now 76d505de)
    - 0010-policy.c-prevent-NULL-pointer-referencing.patch (now 467e6a1b)
    - 0011-policy.c-Fix-for-compiler-error.patch (now 757e55435)
    - 0001-Create-add-support-for-RAID0-layouts.patch (now 329dfc28)
    - 0002-Assemble-add-support-for-RAID0-layouts.patch (now 027c099f)
    - 0001-Respect-CROSS_COMPILE-when-CC-is-the-default.patch (now aced6fc9)
  * Drop patches accepted upstream:
    - typos-in-programs.patch (now ebf3be99)
    - lp-1847924-introduce-new-array-state-broken.patch (now 43ebc910)
  * Refresh remaining patches.
  * Adapt d/watch to accept release candidates.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 26 Jul 2021 20:34:36 -0700
