## mdadm 4.2~rc2.1

=== debian/changelog ===
mdadm (4.2~rc2.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 27 Jul 2022 09:03:54 +0800

mdadm (4.2~rc2.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Fri, 06 May 2022 15:52:35 +0800
