=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  debhelper-compat (= 13),
+ libudev-dev,
  groff-base,
  po-debconf
 Standards-Version: 4.5.1
