## mdadm 4.2

=== debian/changelog ===
mdadm (4.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1959843)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 24 Feb 2022 15:19:00 +0000

mdadm (4.2~rc2-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable (LP: #1940096), remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 17 Aug 2021 17:41:27 +0000

mdadm (4.2~rc1-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental (LP: #1935895), remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm
  * Dropped changes:
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:
      - Make sure mdcheck logs the completion too, so that
      it can be determined how long the raid check took.
    - Cherrypick upstream fix to allow assembling dirty degrated IMSM raid
      arrays with --force flag

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 28 Jul 2021 10:38:46 +0000

mdadm (4.1-11ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:

