=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mdadm
 Section: admin
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  debhelper-compat (= 13),
  libudev-dev,
@@ -25,6 +26,7 @@
  udev
 Recommends:
  ${mta:Recommends},
+ finalrd (>= 3~),
  kmod | module-init-tools
 Suggests:
  ${mta:Suggests},
