=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,8 @@
 		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-bottom/mdadm
 	install -Dm0644 debian/mdadm.modules \
 		$(DESTDIR)/etc/modprobe.d/mdadm.conf
+	install -Dm0755 debian/mdadm.finalrd \
+		$(DESTDIR)/usr/share/finalrd/mdadm.finalrd
 
 	install -Dm0755 debian/mkconf $(DESTDIR)/usr/share/mdadm/mkconf
 	install -Dm0755 debian/checkarray $(DESTDIR)/usr/share/mdadm/checkarray
@@ -68,10 +70,11 @@
 	install -Dm0755 udeb/mdadm $(DESTDIR_UDEB)/sbin/mdadm
 	install -Dm0755 udeb/mdmon $(DESTDIR_UDEB)/sbin/mdmon
 	install -Dm0644 $(DESTDIR)/lib/udev/rules.d/63-md-raid-arrays.rules $(DESTDIR_UDEB)/lib/udev/rules.d/63-md-raid-arrays.rules
-	install -Dm0644 debian/mdadm-shutdown.service $(DESTDIR)/lib/systemd/system/mdadm-shutdown.service
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
 	install -Dm0644 $(DESTDIR)/lib/udev/rules.d/64-md-raid-assembly.rules $(DESTDIR_UDEB)/lib/udev/rules.d/64-md-raid-assembly.rules
 	install -Dm0644 debian/source_mdadm.py $(DESTDIR)/usr/share/apport/package-hooks/source_mdadm.py
+else
+	install -Dm0644 debian/mdadm-shutdown.service $(DESTDIR)/lib/systemd/system/mdadm-shutdown.service
 endif
 
 binary-arch: install-arch
@@ -80,12 +83,9 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples -pmdadm mdadm.conf-example misc/syslog-events
-	dh_installinit --init-script=mdadm-waitidle --no-start -- stop 98 0 6 .
-	dh_link -pmdadm /dev/null /lib/systemd/system/mdadm-waitidle.service
-	dh_installinit -- defaults 25
-	dh_link -pmdadm /dev/null /lib/systemd/system/mdadm.service
 	dh_installman
 	dh_installcron
+	dh_installsystemd -pmdadm mdcheck_continue.timer mdcheck_start.timer mdmonitor-oneshot.timer
 	dh_installchangelogs ChangeLog
 	dh_installlogcheck
 	dh_link
