=== debian/changelog ===
mdadm (4.2+20230508-6ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
  * d/mdadm.maintscript: Keep Ubuntu prior-versions until after
    the release of 24.04
  * Dropped changes, included in Debian:
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 11 Aug 2023 09:59:44 +0000

mdadm (4.2+20230508-6) sid; urgency=medium

  * Uploading to sid.
  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1041873).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 24 Jul 2023 20:44:54 +0200

mdadm (4.2+20230508-5) sid; urgency=medium

  * Uploading to sid.
  * Updating package descriptions.
  * Adding updated Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1039620).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 30 Jun 2023 10:07:14 +0200

mdadm (4.2+20230508-4) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Jun 2023 16:26:53 +0200

mdadm (4.2+20230508-3) experimental; urgency=medium

  * Uploading to experimental.
  * Updating regex in logcheck ignore patterns for kernels md tunining
    message (LP: #1176560).
  * Adding debconf note when run on non-systemd systems (Closes:
    #1037496).
  * Updating debconf po files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 07:03:53 +0200

mdadm (4.2+20230508-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:32:19 +0200

mdadm (4.2+20230508-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 4.2+20230508.
  * Refreshing and updating readlink-path.patch to cover basename too.
  * Refreshing randomize-timers.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 12 May 2023 14:48:12 +0200

mdadm (4.2+20230313-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 4.2+20230313.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 13 Mar 2023 17:55:55 +0100

mdadm (4.2+20230304-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 4.2+20230304.
  * Adding initial Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1032713).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 13 Mar 2023 14:58:14 +0100

mdadm (4.2+20230302-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 4.2+20230302.
  * Updating host-name-in-default-mailfrom.patch for new upstream.
  * Updating exit-gracefully-when-md-device-not-found.patch for new
    upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Mar 2023 04:25:46 +0100

mdadm (4.2+20230227-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 4.2+20230227.
  * Removing sysvinit scripts in favour of systemd units:
    - properly checkrestart mdmonitor (Closes: #815834).
    - no update-rc.d warnings anymore (Closes: #822354).
    - properly shutdown (Closes: #829621).
    - making /etc/default/mdadm obsolete for most things (Closes: #850180).
  * Removing cron jobs in favour of systemd timers:
    - daily checks also work if system is not always on (Closes: #889978).
  * Adding rediffed patch from ubuntu to randomize md array check timers.
  * Adding rediffed patch from ubuntu to honor debconf daily scan in
    systemd unit.
  * Adding rediffed patch from ubuntu to fix empty spaces in timer unit
    files.
  * Wrap and sorting debian directory.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Feb 2023 20:48:50 +0100

mdadm (4.2+20230223-2) experimental; urgency=medium

  * Uploading to experimental.
  * Updating upstream contact in copyright.
  * Silencing mounting efivars in initramfs-hook by only mounting if not
    done already.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 25 Feb 2023 22:34:46 +0100

mdadm (4.2+20230223-1) experimental; urgency=medium


