=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2001-2005 Mario Jou/3en <joussen@debian.org>
# Copyright © 2005-2008 Martin F. Krafft <madduck@debian.org>
# Copyright © 2021 Felix Lechner <felix.lechner@lease-up.com>
# Distributable under the terms of the GNU GPL version 2.
#

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

export CROSS_COMPILE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-
export LDFLAGS = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
export CXFLAGS = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS) \
	  $(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)

export DEBIAN="yes"
export EXTRAVERSION=$(DEB_VENDOR) $(DEB_VERSION)

# these are reversed in the Makefile
export CONFFILE="/etc/mdadm/mdadm.conf"
export CONFFILE2="/etc/mdadm.conf"

%:
	dh $@

override_dh_install:
	$(MAKE) install-systemd DESTDIR=$(CURDIR)/debian/tmp
	dh_install

	mkdir -p $(CURDIR)/debian/mdadm/etc/mdadm
	chmod +x $(CURDIR)/debian/mdadm/usr/share/mdadm/mdcheck

override_dh_installsystemd:
	dh_installsystemd -pmdadm mdcheck_continue.timer mdcheck_start.timer mdmonitor-oneshot.timer
