## mdadm 4.2+20231121

=== debian/changelog ===
mdadm (4.2+20231121-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 03 Jan 2024 10:15:09 +0000

mdadm (4.2+20231121-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.2+20231121.
  * Harmonizing license blurbs in copyright file.
  * Adding updated German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1055789).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@persilja.net> (Closes: #1057772).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Dec 2023 11:57:19 +0100

mdadm (4.2+20231026-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Nov 2023 13:18:00 +0000

mdadm (4.2+20231026-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.2+20231026.
  * Refreshing fix-manpages.patch.
  * Refreshing no-Werror.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2023 05:09:47 +0100

mdadm (4.2+20230508-7ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Oct 2023 18:00:34 +0000

mdadm (4.2+20230508-7) sid; urgency=medium

  * Uploading to sid.
  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1047538).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 11:51:05 +0200
